Object Storage
Create event destination
post
/object-storage/event-destinationsAdd a destination for bucket events: an https webhook (each delivery is signed with a secret shown only in this response) or one of your Slack or Discord channels. Then add event rules to your buckets.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
Create an event destination. A webhook's signing secret is returned once.
application/jsonObligatorio
name*string
Rango
1 ≤ length ≤ 64type*string
Valores
"webhook""notificator"url?string | null
Rango
length ≤ 2048notificator_id?string | null
A Slack or Discord channel of Cloud Alerts
Rango
length ≤ 36payload_format?string
Por defecto
"cubepath"Valores"cubepath""s3"Respuestas
Successful Response
application/json
destination*ObjectStorageEventDestinationOut
Propiedades (14)
uuid*string
name*string
type*string
url_masked?string | null
notificator?ObjectStorageEventChannelOut | null
Propiedades (3)
id*string
name*string
type*string
payload_format*string
status*string
disabled_reason?string | null
previous_secret_expires_at?string | null
last_success_at?string | null
last_failure_at?string | null
last_error?string | null
rules_count?integer
Por defecto
0created_at?string | null
signing_secret?string | null
Shown only in this response (webhooks)